import request from '@/utils/request'

// 查询视频举报列表
export function listLzydVideoReport(query) {
  return request({
    url: '/system/LzydVideoReport/list',
    method: 'get',
    params: query
  })
}

// 查询视频举报详细
export function getLzydVideoReport(id) {
  return request({
    url: '/system/LzydVideoReport/' + id,
    method: 'get'
  })
}

// 新增视频举报
export function addLzydVideoReport(data) {
  return request({
    url: '/system/LzydVideoReport',
    method: 'post',
    data: data
  })
}

// 修改视频举报
export function updateLzydVideoReport(data) {
  return request({
    url: '/system/LzydVideoReport',
    method: 'put',
    data: data
  })
}

// 删除视频举报
export function delLzydVideoReport(id) {
  return request({
    url: '/system/LzydVideoReport/' + id,
    method: 'delete'
  })
}

// 导出视频举报
export function exportLzydVideoReport(query) {
  return request({
    url: '/system/LzydVideoReport/export',
    method: 'get',
    params: query
  })
}